#!/bin/bash

# В системе должны быть установлены пакеты
# gzip, pcsc-lite, pcsc-lite-ccid, gcr, pcre-utf16

JCPKCS_PACKAGE=`ls -l "$(dirname "$0")" | sed -r -n 's/.*(jcpkcs11-2-[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+-[0-9]\.+aarch64\.rpm)/\1/p'`
UC_PACKAGE=`ls -l "$(dirname "$0")" | sed -r -n 's/.*(jacartauc_[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+\.aarch64\.rpm)/\1/p'` 
cd "$(dirname "$0")"

if [ -z "RPM-GPG-KEY-ALADDIN_RD-AO.public" ]; then
    echo "Ошибка!!! Отсутствует публичный ключ АО \"Аладдин Р.Д.\"!"
    exit 1
fi

if [ -z "$JCPKCS_PACKAGE" ]; then
    echo "Ошибка!!! Отсутствует пакет jcpkcs11-2!"
    exit 1
fi

if [ -z "$UC_PACKAGE" ]; then
    echo "Ошибка!!! Отсутствует пакет jacartauc!"
    exit 1
fi

rpm --import RPM-GPG-KEY-ALADDIN_RD-AO.public

echo "Установка пакетов!"
echo "=========================================="

apt-get install -y $JCPKCS_PACKAGE
apt-get install -y $UC_PACKAGE

